import { Asset } from '../constants';
import { ExtrinsicConfig, XTokensTransferMultiCurrenciesExtrinsic } from '../extrinsic';
import { AssetConfig, ChainConfig } from '../interfaces';
export declare function getOriginAssetId<Assets extends Asset = Asset>(asset: AssetConfig<Assets>): number;
export declare function getMoonAssetId(chain: ChainConfig): number | bigint;
export declare function getPalletInstance(chain: ChainConfig): number;
export declare function isMultiCurrency<Assets extends Asset = Asset>(extrinsic: ExtrinsicConfig<Assets>): extrinsic is XTokensTransferMultiCurrenciesExtrinsic<Assets>;
