"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withdraw = exports.extrinsic = exports.balance = exports.moonbase = exports.chains = exports.assets = void 0;
const balance_1 = require("../../balance");
const constants_1 = require("../../constants");
const moonbase_assets_1 = require("./moonbase.assets");
Object.defineProperty(exports, "assets", { enumerable: true, get: function () { return moonbase_assets_1.MOONBASE_ASSETS_CONFIGS; } });
const moonbase_chains_1 = require("./moonbase.chains");
Object.defineProperty(exports, "chains", { enumerable: true, get: function () { return moonbase_chains_1.MOONBASE_CHAINS_CONFIGS; } });
const extrinsic_1 = require("../../extrinsic");
const withdraw_1 = require("../../withdraw");
exports.moonbase = constants_1.MOON_CHAINS_CONFIGS[constants_1.MoonChain.MoonbaseAlpha];
exports.balance = (0, balance_1.createBalanceBuilder)();
exports.extrinsic = (0, extrinsic_1.createExtrinsicBuilder)(exports.moonbase);
exports.withdraw = (0, withdraw_1.createWithdrawBuilder)();
//# sourceMappingURL=moonbase.common.js.map