"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withdraw = exports.extrinsic = exports.balance = exports.moonriver = exports.chains = exports.assets = void 0;
const balance_1 = require("../../balance");
const constants_1 = require("../../constants");
const moonriver_assets_1 = require("./moonriver.assets");
Object.defineProperty(exports, "assets", { enumerable: true, get: function () { return moonriver_assets_1.MOONRIVER_ASSETS_CONFIGS; } });
const moonriver_chains_1 = require("./moonriver.chains");
Object.defineProperty(exports, "chains", { enumerable: true, get: function () { return moonriver_chains_1.MOONRIVER_CHAINS_CONFIGS; } });
const extrinsic_1 = require("../../extrinsic");
const withdraw_1 = require("../../withdraw");
exports.moonriver = constants_1.MOON_CHAINS_CONFIGS[constants_1.MoonChain.Moonriver];
exports.balance = (0, balance_1.createBalanceBuilder)();
exports.extrinsic = (0, extrinsic_1.createExtrinsicBuilder)(exports.moonriver);
exports.withdraw = (0, withdraw_1.createWithdrawBuilder)();
//# sourceMappingURL=moonriver.common.js.map