"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Chain = exports.MOON_CHAINS_CONFIGS = exports.MoonChain = void 0;
var MoonChain;
(function (MoonChain) {
    MoonChain["MoonbaseAlpha"] = "MoonbaseAlpha";
    MoonChain["Moonbeam"] = "Moonbeam";
    MoonChain["Moonriver"] = "Moonriver";
})(MoonChain = exports.MoonChain || (exports.MoonChain = {}));
exports.MOON_CHAINS_CONFIGS = {
    [MoonChain.MoonbaseAlpha]: {
        chain: MoonChain.MoonbaseAlpha,
        name: 'Moonbase Alpha',
        ws: 'wss://wss.api.moonbase.moonbeam.network',
        parachainId: 1000,
        decimals: 18,
        unitsPerSecond: 50000000000000000n,
    },
    [MoonChain.Moonbeam]: {
        chain: MoonChain.Moonbeam,
        name: 'Moonbeam',
        ws: 'wss://wss.api.moonbeam.network',
        parachainId: 2004,
        decimals: 18,
        unitsPerSecond: 10000000000000000000n,
    },
    [MoonChain.Moonriver]: {
        chain: MoonChain.Moonriver,
        name: 'Moonriver',
        ws: 'wss://wss.api.moonriver.moonbeam.network',
        parachainId: 2023,
        decimals: 18,
        unitsPerSecond: 100000000000000000n,
    },
};
var Chain;
(function (Chain) {
    Chain["Acala"] = "Acala";
    Chain["AlphanetRelay"] = "AlphanetRelay";
    Chain["AstarAlphanet"] = "AstarAlphanet";
    Chain["BasiliskAlphanet"] = "BasiliskAlphanet";
    Chain["Bifrost"] = "Bifrost";
    Chain["Calamari"] = "Calamari";
    Chain["CloverAlphanet"] = "CloverAlphanet";
    Chain["CrustShadow"] = "CrustShadow";
    Chain["CrustShadowAlphanet"] = "CrustShadowAlphanet";
    Chain["Darwinia"] = "Darwinia";
    Chain["DarwiniaAlphanet"] = "DarwiniaAlphanet";
    Chain["Integritee"] = "Integritee";
    Chain["IntegriteeAlphanet"] = "IntegriteeAlphanet";
    Chain["InterBTCAlphanet"] = "InterBTCAlphanet";
    Chain["Interley"] = "Interley";
    Chain["Karura"] = "Karura";
    Chain["Khala"] = "Khala";
    Chain["Kintsugi"] = "Kintsugi";
    Chain["Kusama"] = "Kusama";
    Chain["LitentryAlphanet"] = "LitentryAlphanet";
    Chain["Litmus"] = "Litmus";
    Chain["Parallel"] = "Parallel";
    Chain["ParallelHeiko"] = "ParallelHeiko";
    Chain["Phala"] = "Phala";
    Chain["Polkadot"] = "Polkadot";
    Chain["Shiden"] = "Shiden";
    Chain["Statemine"] = "Statemine";
})(Chain = exports.Chain || (exports.Chain = {}));
//# sourceMappingURL=chains.js.map