"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createExtrinsicBuilder = void 0;
const polkadotXcm_1 = require("./polkadotXcm");
const xcmPallet_1 = require("./xcmPallet");
const xTokens_1 = require("./xTokens");
const xTransfer_1 = require("./xTransfer");
function createExtrinsicBuilder(chain) {
    return {
        polkadotXcm: () => (0, polkadotXcm_1.polkadotXcm)(chain),
        xcmPallet: () => (0, xcmPallet_1.xcmPallet)(chain),
        xTokens: () => (0, xTokens_1.xTokens)(chain),
        xTransfer: () => (0, xTransfer_1.xTransfer)(chain),
    };
}
exports.createExtrinsicBuilder = createExtrinsicBuilder;
//# sourceMappingURL=extrinsic.js.map