"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withdraw = exports.extrinsic = exports.balance = exports.moonbeam = exports.chains = exports.assets = void 0;
const balance_1 = require("../../balance");
const constants_1 = require("../../constants");
const moonbeam_assets_1 = require("./moonbeam.assets");
Object.defineProperty(exports, "assets", { enumerable: true, get: function () { return moonbeam_assets_1.MOONBEAM_ASSETS_CONFIGS; } });
const moonbeam_chains_1 = require("./moonbeam.chains");
Object.defineProperty(exports, "chains", { enumerable: true, get: function () { return moonbeam_chains_1.MOONBEAM_CHAINS_CONFIGS; } });
const extrinsic_1 = require("../../extrinsic");
const withdraw_1 = require("../../withdraw");
exports.moonbeam = constants_1.MOON_CHAINS_CONFIGS[constants_1.MoonChain.Moonbeam];
exports.balance = (0, balance_1.createBalanceBuilder)();
exports.extrinsic = (0, extrinsic_1.createExtrinsicBuilder)(exports.moonbeam);
exports.withdraw = (0, withdraw_1.createWithdrawBuilder)();
//# sourceMappingURL=moonbeam.common.js.map