import '@moonbeam-network/api-augment';
import { Asset } from '../constants';
import { AssetsBalanceConfig, MinBalanceConfig, SystemBalanceConfig, TokensBalanceConfig } from './balance.interfaces';
export declare function createBalanceBuilder<Assets extends Asset = Asset>(): {
    assets: typeof assets;
    min: typeof min;
    system: typeof system;
    tokens: (asset: number | bigint | Assets | 'MOVR' | 'KUSD' | 'AUSD') => TokensBalanceConfig<Assets>;
};
declare function assets(asset: number | bigint): AssetsBalanceConfig;
declare function min(asset: number): MinBalanceConfig;
declare function system(): SystemBalanceConfig;
export {};
